#<profile4xi profile = "00" />
# -------------------------------------------------------------------------------------------------
#<program4xi program = "zap2module4xi.py">
#<abstract4xi abstract = "provides module dictionary for zapping"/>
#<refer4xi reference = "zap2actor4xi.py"/>
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; ACK4systemtesting; [Rel 7.21]"/>
#<use4xi usage = "
#
# 1) go to Studio4Xi in commmand mode
#       > go3studio4fb <-- Python 3 version of Studio4Xi in Fastblack workstation (fb)
#       Tip: you could use the same go2studio4xi-command in all workstations just varying the content! 
#
# 2) > zap2module4xi
#      
#
# 3) view results in zap2module4xi.txt
#"/> 
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# ------------------------------------------------------------------------------------------------- 
#<interface4xi interface = " 
__all__ = [ "zap2module" ]
#"
#/>

# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "

#"
#/>

# -------------------------------------------------------------------------------------------------
# Multiprocessing Imports                          
# -------------------------------------------------------------------------------------------------
#<process4xi process = "
#"
#/>


# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "
from time4xi import time4xi    
from version4xi import VersionKB4Xi
from version4xi import ROOT4XI
#"
#/>
# -------------------------------------------------------------------------------------------------
# Settings - functions, classes and ALL class methods with possible synonyms for XML
# -------------------------------------------------------------------------------------------------
ModuleKB2Zap4Xi = {                              # to zap-modules for building links to modules    
    '__init__-of-ForkingPickler4Xi':'forkingpickler4xi.py',
    '__init__-of-Unpickler':'forkingpickler4xi.py',
    '__init__-of-_Stop':'forkingpickler4xi.py',
    '__newobj__-of-ForkingPickler4Xi':'forkingpickler4xi.py',
    '_batch_appends-of-ForkingPickler4Xi':'forkingpickler4xi.py',
    '_batch_setitems-of-ForkingPickler4Xi':'forkingpickler4xi.py',
    '_instantiate-of-Unpickler':'forkingpickler4xi.py',
    '_keep_alive':'forkingpickler4xi.py',
    'ace-of-ForkingPickler4Xi':'forkingpickler4xi.py',
    'batch-appends-of-ForkingPickler4Xi':'forkingpickler4xi.py',
    'batch-setitems-of-ForkingPickler4Xi':'forkingpickler4xi.py',
    'clear-memo-of-ForkingPickler4Xi':'forkingpickler4xi.py',
    'clear_memo-of-ForkingPickler4Xi':'forkingpickler4xi.py',
    'decode_long':'forkingpickler4xi.py',
    'dispatcher':'forkingpickler4xi.py',
    'dump':'forkingpickler4xi.py',
    'dump-of-ForkingPickler4Xi':'forkingpickler4xi.py',
    'dumps':'forkingpickler4xi.py',
    'encode_long':'forkingpickler4xi.py',
    'find-class-of-Unpickler':'forkingpickler4xi.py',
    'find_class-of-Unpickler':'forkingpickler4xi.py',
    'get-extension-of-Unpickler':'forkingpickler4xi.py',
    'get-of-ForkingPickler4Xi':'forkingpickler4xi.py',
    'get_extension-of-Unpickler':'forkingpickler4xi.py',
    'init-of-ForkingPickler4Xi':'forkingpickler4xi.py',
    'init-of-Unpickler':'forkingpickler4xi.py',
    'instantiate-of-Unpickler':'forkingpickler4xi.py',
    'load':'forkingpickler4xi.py',
    'load-append-of-Unpickler':'forkingpickler4xi.py',
    'load-appends-of-Unpickler':'forkingpickler4xi.py',
    'load-binbytes-of-Unpickler':'forkingpickler4xi.py',
    'load-binfloat-of-Unpickler':'forkingpickler4xi.py',
    'load-binget-of-Unpickler':'forkingpickler4xi.py',
    'load-binint-of-Unpickler':'forkingpickler4xi.py',
    'load-binint1-of-Unpickler':'forkingpickler4xi.py',
    'load-binint2-of-Unpickler':'forkingpickler4xi.py',
    'load-binpersid-of-Unpickler':'forkingpickler4xi.py',
    'load-binput-of-Unpickler':'forkingpickler4xi.py',
    'load-binstring-of-Unpickler':'forkingpickler4xi.py',
    'load-binunicode-of-Unpickler':'forkingpickler4xi.py',
    'load-build-of-Unpickler':'forkingpickler4xi.py',
    'load-dict-of-Unpickler':'forkingpickler4xi.py',
    'load-dup-of-Unpickler':'forkingpickler4xi.py',
    'load-empty-dictionary-of-Unpickler':'forkingpickler4xi.py',
    'load-empty-list-of-Unpickler':'forkingpickler4xi.py',
    'load-empty-tuple-of-Unpickler':'forkingpickler4xi.py',
    'load-ext1-of-Unpickler':'forkingpickler4xi.py',
    'load-ext2-of-Unpickler':'forkingpickler4xi.py',
    'load-ext4-of-Unpickler':'forkingpickler4xi.py',
    'load-false-of-Unpickler':'forkingpickler4xi.py',
    'load-float-of-Unpickler':'forkingpickler4xi.py',
    'load-get-of-Unpickler':'forkingpickler4xi.py',
    'load-global-of-Unpickler':'forkingpickler4xi.py',
    'load-inst-of-Unpickler':'forkingpickler4xi.py',
    'load-int-of-Unpickler':'forkingpickler4xi.py',
    'load-list-of-Unpickler':'forkingpickler4xi.py',
    'load-long-binget-of-Unpickler':'forkingpickler4xi.py',
    'load-long-binput-of-Unpickler':'forkingpickler4xi.py',
    'load-long-of-Unpickler':'forkingpickler4xi.py',
    'load-long1-of-Unpickler':'forkingpickler4xi.py',
    'load-long4-of-Unpickler':'forkingpickler4xi.py',
    'load-mark-of-Unpickler':'forkingpickler4xi.py',
    'load-newobj-of-Unpickler':'forkingpickler4xi.py',
    'load-none-of-Unpickler':'forkingpickler4xi.py',
    'load-obj-of-Unpickler':'forkingpickler4xi.py',
    'load-of-Unpickler':'forkingpickler4xi.py',
    'load-persid-of-Unpickler':'forkingpickler4xi.py',
    'load-pop-mark-of-Unpickler':'forkingpickler4xi.py',
    'load-pop-of-Unpickler':'forkingpickler4xi.py',
    'load-proto-of-Unpickler':'forkingpickler4xi.py',
    'load-put-of-Unpickler':'forkingpickler4xi.py',
    'load-reduce-of-Unpickler':'forkingpickler4xi.py',
    'load-setitem-of-Unpickler':'forkingpickler4xi.py',
    'load-setitems-of-Unpickler':'forkingpickler4xi.py',
    'load-short-binbytes-of-Unpickler':'forkingpickler4xi.py',
    'load-short-binstring-of-Unpickler':'forkingpickler4xi.py',
    'load-stop-of-Unpickler':'forkingpickler4xi.py',
    'load-string-of-Unpickler':'forkingpickler4xi.py',
    'load-true-of-Unpickler':'forkingpickler4xi.py',
    'load-tuple-of-Unpickler':'forkingpickler4xi.py',
    'load-tuple1-of-Unpickler':'forkingpickler4xi.py',
    'load-tuple2-of-Unpickler':'forkingpickler4xi.py',
    'load-tuple3-of-Unpickler':'forkingpickler4xi.py',
    'load-unicode-of-Unpickler':'forkingpickler4xi.py',
    'load_append-of-Unpickler':'forkingpickler4xi.py',
    'load_appends-of-Unpickler':'forkingpickler4xi.py',
    'load_binbytes-of-Unpickler':'forkingpickler4xi.py',
    'load_binfloat-of-Unpickler':'forkingpickler4xi.py',
    'load_binget-of-Unpickler':'forkingpickler4xi.py',
    'load_binint-of-Unpickler':'forkingpickler4xi.py',
    'load_binint1-of-Unpickler':'forkingpickler4xi.py',
    'load_binint2-of-Unpickler':'forkingpickler4xi.py',
    'load_binpersid-of-Unpickler':'forkingpickler4xi.py',
    'load_binput-of-Unpickler':'forkingpickler4xi.py',
    'load_binstring-of-Unpickler':'forkingpickler4xi.py',
    'load_binunicode-of-Unpickler':'forkingpickler4xi.py',
    'load_build-of-Unpickler':'forkingpickler4xi.py',
    'load_dict-of-Unpickler':'forkingpickler4xi.py',
    'load_dup-of-Unpickler':'forkingpickler4xi.py',
    'load_empty_dictionary-of-Unpickler':'forkingpickler4xi.py',
    'load_empty_list-of-Unpickler':'forkingpickler4xi.py',
    'load_empty_tuple-of-Unpickler':'forkingpickler4xi.py',
    'load_ext1-of-Unpickler':'forkingpickler4xi.py',
    'load_ext2-of-Unpickler':'forkingpickler4xi.py',
    'load_ext4-of-Unpickler':'forkingpickler4xi.py',
    'load_false-of-Unpickler':'forkingpickler4xi.py',
    'load_float-of-Unpickler':'forkingpickler4xi.py',
    'load_get-of-Unpickler':'forkingpickler4xi.py',
    'load_global-of-Unpickler':'forkingpickler4xi.py',
    'load_inst-of-Unpickler':'forkingpickler4xi.py',
    'load_int-of-Unpickler':'forkingpickler4xi.py',
    'load_list-of-Unpickler':'forkingpickler4xi.py',
    'load_long-of-Unpickler':'forkingpickler4xi.py',
    'load_long1-of-Unpickler':'forkingpickler4xi.py',
    'load_long4-of-Unpickler':'forkingpickler4xi.py',
    'load_long_binget-of-Unpickler':'forkingpickler4xi.py',
    'load_long_binput-of-Unpickler':'forkingpickler4xi.py',
    'load_mark-of-Unpickler':'forkingpickler4xi.py',
    'load_newobj-of-Unpickler':'forkingpickler4xi.py',
    'load_none-of-Unpickler':'forkingpickler4xi.py',
    'load_obj-of-Unpickler':'forkingpickler4xi.py',
    'load_persid-of-Unpickler':'forkingpickler4xi.py',
    'load_pop-of-Unpickler':'forkingpickler4xi.py',
    'load_pop_mark-of-Unpickler':'forkingpickler4xi.py',
    'load_proto-of-Unpickler':'forkingpickler4xi.py',
    'load_put-of-Unpickler':'forkingpickler4xi.py',
    'load_reduce-of-Unpickler':'forkingpickler4xi.py',
    'load_setitem-of-Unpickler':'forkingpickler4xi.py',
    'load_setitems-of-Unpickler':'forkingpickler4xi.py',
    'load_short_binbytes-of-Unpickler':'forkingpickler4xi.py',
    'load_short_binstring-of-Unpickler':'forkingpickler4xi.py',
    'load_stop-of-Unpickler':'forkingpickler4xi.py',
    'load_string-of-Unpickler':'forkingpickler4xi.py',
    'load_true-of-Unpickler':'forkingpickler4xi.py',
    'load_tuple-of-Unpickler':'forkingpickler4xi.py',
    'load_tuple1-of-Unpickler':'forkingpickler4xi.py',
    'load_tuple2-of-Unpickler':'forkingpickler4xi.py',
    'load_tuple3-of-Unpickler':'forkingpickler4xi.py',
    'load_unicode-of-Unpickler':'forkingpickler4xi.py',
    'loads':'forkingpickler4xi.py',
    'marker-of-Unpickler':'forkingpickler4xi.py',
    'memoize-of-ForkingPickler4Xi':'forkingpickler4xi.py',
    'persistent-id-of-ForkingPickler4Xi':'forkingpickler4xi.py',
    'persistent-load-of-Unpickler':'forkingpickler4xi.py',
    'persistent_id-of-ForkingPickler4Xi':'forkingpickler4xi.py',
    'persistent_load-of-Unpickler':'forkingpickler4xi.py',
    'put-of-ForkingPickler4Xi':'forkingpickler4xi.py',
    'reason-of-ForkingPickler4Xi':'forkingpickler4xi.py',
    'register-of-ForkingPickler4Xi':'forkingpickler4xi.py',
    'save-bool-of-ForkingPickler4Xi':'forkingpickler4xi.py',
    'save-bytes-of-ForkingPickler4Xi':'forkingpickler4xi.py',
    'save-dict-of-ForkingPickler4Xi':'forkingpickler4xi.py',
    'save-float-of-ForkingPickler4Xi':'forkingpickler4xi.py',
    'save-global-of-ForkingPickler4Xi':'forkingpickler4xi.py',
    'save-list-of-ForkingPickler4Xi':'forkingpickler4xi.py',
    'save-long-of-ForkingPickler4Xi':'forkingpickler4xi.py',
    'save-none-of-ForkingPickler4Xi':'forkingpickler4xi.py',
    'save-of-ForkingPickler4Xi':'forkingpickler4xi.py',
    'save-pers-of-ForkingPickler4Xi':'forkingpickler4xi.py',
    'save-reduce-of-ForkingPickler4Xi':'forkingpickler4xi.py',
    'save-str-of-ForkingPickler4Xi':'forkingpickler4xi.py',
    'save-tuple-of-ForkingPickler4Xi':'forkingpickler4xi.py',
    'save_bool-of-ForkingPickler4Xi':'forkingpickler4xi.py',
    'save_bytes-of-ForkingPickler4Xi':'forkingpickler4xi.py',
    'save_dict-of-ForkingPickler4Xi':'forkingpickler4xi.py',
    'save_float-of-ForkingPickler4Xi':'forkingpickler4xi.py',
    'save_global-of-ForkingPickler4Xi':'forkingpickler4xi.py',
    'save_list-of-ForkingPickler4Xi':'forkingpickler4xi.py',
    'save_long-of-ForkingPickler4Xi':'forkingpickler4xi.py',
    'save_none-of-ForkingPickler4Xi':'forkingpickler4xi.py',
    'save_pers-of-ForkingPickler4Xi':'forkingpickler4xi.py',
    'save_reduce-of-ForkingPickler4Xi':'forkingpickler4xi.py',
    'save_str-of-ForkingPickler4Xi':'forkingpickler4xi.py',
    'save_tuple-of-ForkingPickler4Xi':'forkingpickler4xi.py',
    'sense-of-ForkingPickler4Xi':'forkingpickler4xi.py',
    'whichmodule':'forkingpickler4xi.py',
    'cluster': 'xml_trace_sense4xi.py',
    'super': 'xml_trace_sense4xi.py',
    '__init__': '__init__.py'
    }
#" 
#"/>
# -------------------------------------------------------------------------------------------------
# Testing with compiler
# -------------------------------------------------------------------------------------------------
ack2debug = True

if ack2debug is True:
    path2file = "..//..//..//..//sw4xi//python32//Lib//multiprocessing4xi//"
    count2ok       = 0
    count2failed   = 0
    count2tried    = 0

    keys2module = ModuleKB2Zap4Xi.keys()
    for key2module in keys2module:
        count2tried  = count2tried  + 1
        try:
            file2open = path2file + ModuleKB2Zap4Xi[key2module]
            print("IMPORT4XI - FILE2OPEN: ", file2open) 
            file2check = open(file2open)
            print("IMPORT4XI - OPENED: ", file2check)
            count2ok = count2ok + 1
            file2check.close()
            print("IMPORT4XI - CLOSED: ", file2check)
        except:
            print("IMPORT4XI *** FAILED WITH KEY: ", key2module, " FILE TO OPEN: ", file2open, " ***") 
            count2failed = count2failed + 1
        
    print("=" *33)        
    if count2ok < count2tried:
        print("IMPORT4XI *** COUNT2OK: ", count2ok, " < ", count2tried, " COUNT2TRIED ***")
        print("IMPORT4XI *** FAILED: ", count2failed)
    else:
        print("IMPORT4XI OK - COUNT2OK: ", count2ok, " == ", count2tried, " COUNT2TRIED!")
        print("IMPORT4XI OK - COUNT2FAILED: ", count2failed)        
    print("=" *33)                
#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   zap2module4xi.txt
#"
#>
# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of zap2module4xi.py                           
# ------------------------------------------------------------------------------------------------- 
#"
#/>        
